﻿local AL3 = LibStub("AceLocale-3.0")
local debug = false
--[===[@debug@
debug = true
--@end-debug@]===]

local L = AL3:NewLocale("BasicThreatBar", "enUS", true, debug)
if L then
L["Adds a thick black outline to the font"] = true
L["Adds outline to the font"] = true
L["Bar"] = true
L["Bar Height"] = true
L["Bar Width"] = true
L["Border"] = true
L["Border Color"] = true
L["Borders"] = true
L["Bottom"] = true
L["Bottom Left"] = true
L["Bottom Right"] = true
L["Center"] = true
L["Changes the color of the border"] = true
L["Changes the color of the threat text"] = true
L["Change the alignment of the name text"] = true
L["Change the alignment of the threat text"] = true
L["Change the bar's border"] = true
L["Change the bar texture"] = true
L["Change the font"] = true
L["Color"] = true
L["Display sample text and value on the threat bar."] = true
L["Fonts"] = true
L["Font size"] = true
L["Hide/Lock bar"] = true
L["Hide the bar when not in combat and lock it in place"] = true
L["Left Inside"] = true
L["Monochrome"] = true
L["Name position"] = true
L["Outline"] = true
L["Right Inside"] = true
L["Sample"] = true
L["Sets the font to monochrome"] = true
L["Test"] = true
L["Text"] = true
L["Textures"] = true
L["Thick Outline"] = true
L["Threat position"] = true
L["Top"] = true
L["Top Left"] = true
L["Top Right"] = true

if GetLocale() == "enUS" or GetLocale() == "enGB" then return end
end

local L = AL3:NewLocale("BasicThreatBar", "deDE")
if L then
-- L["Adds a thick black outline to the font"] = "Adds a thick black outline to the font"
-- L["Adds outline to the font"] = "Adds outline to the font"
-- L["Bar"] = "Bar"
-- L["Bar Height"] = "Bar Height"
-- L["Bar Width"] = "Bar Width"
-- L["Border"] = "Border"
-- L["Border Color"] = "Border Color"
-- L["Borders"] = "Borders"
-- L["Bottom"] = "Bottom"
-- L["Bottom Left"] = "Bottom Left"
-- L["Bottom Right"] = "Bottom Right"
-- L["Center"] = "Center"
-- L["Changes the color of the border"] = "Changes the color of the border"
-- L["Changes the color of the threat text"] = "Changes the color of the threat text"
-- L["Change the alignment of the name text"] = "Change the alignment of the name text"
-- L["Change the alignment of the threat text"] = "Change the alignment of the threat text"
-- L["Change the bar's border"] = "Change the bar's border"
-- L["Change the bar texture"] = "Change the bar texture"
-- L["Change the font"] = "Change the font"
-- L["Color"] = "Color"
-- L["Display sample text and value on the threat bar."] = "Display sample text and value on the threat bar."
-- L["Fonts"] = "Fonts"
-- L["Font size"] = "Font size"
-- L["Hide/Lock bar"] = "Hide/Lock bar"
-- L["Hide the bar when not in combat and lock it in place"] = "Hide the bar when not in combat and lock it in place"
-- L["Left Inside"] = "Left Inside"
-- L["Monochrome"] = "Monochrome"
-- L["Name position"] = "Name position"
-- L["Outline"] = "Outline"
-- L["Right Inside"] = "Right Inside"
-- L["Sample"] = "Sample"
-- L["Sets the font to monochrome"] = "Sets the font to monochrome"
-- L["Test"] = "Test"
-- L["Text"] = "Text"
-- L["Textures"] = "Textures"
-- L["Thick Outline"] = "Thick Outline"
-- L["Threat position"] = "Threat position"
-- L["Top"] = "Top"
-- L["Top Left"] = "Top Left"
-- L["Top Right"] = "Top Right"

return
end

local L = AL3:NewLocale("BasicThreatBar", "esES") or AL3:NewLocale("BasicThreatBar", "esMX")
if L then
-- L["Adds a thick black outline to the font"] = "Adds a thick black outline to the font"
-- L["Adds outline to the font"] = "Adds outline to the font"
-- L["Bar"] = "Bar"
-- L["Bar Height"] = "Bar Height"
-- L["Bar Width"] = "Bar Width"
-- L["Border"] = "Border"
-- L["Border Color"] = "Border Color"
-- L["Borders"] = "Borders"
-- L["Bottom"] = "Bottom"
-- L["Bottom Left"] = "Bottom Left"
-- L["Bottom Right"] = "Bottom Right"
-- L["Center"] = "Center"
-- L["Changes the color of the border"] = "Changes the color of the border"
-- L["Changes the color of the threat text"] = "Changes the color of the threat text"
-- L["Change the alignment of the name text"] = "Change the alignment of the name text"
-- L["Change the alignment of the threat text"] = "Change the alignment of the threat text"
-- L["Change the bar's border"] = "Change the bar's border"
-- L["Change the bar texture"] = "Change the bar texture"
-- L["Change the font"] = "Change the font"
-- L["Color"] = "Color"
-- L["Display sample text and value on the threat bar."] = "Display sample text and value on the threat bar."
-- L["Fonts"] = "Fonts"
-- L["Font size"] = "Font size"
-- L["Hide/Lock bar"] = "Hide/Lock bar"
-- L["Hide the bar when not in combat and lock it in place"] = "Hide the bar when not in combat and lock it in place"
-- L["Left Inside"] = "Left Inside"
-- L["Monochrome"] = "Monochrome"
-- L["Name position"] = "Name position"
-- L["Outline"] = "Outline"
-- L["Right Inside"] = "Right Inside"
-- L["Sample"] = "Sample"
-- L["Sets the font to monochrome"] = "Sets the font to monochrome"
-- L["Test"] = "Test"
-- L["Text"] = "Text"
-- L["Textures"] = "Textures"
-- L["Thick Outline"] = "Thick Outline"
-- L["Threat position"] = "Threat position"
-- L["Top"] = "Top"
-- L["Top Left"] = "Top Left"
-- L["Top Right"] = "Top Right"

return
end

local L = AL3:NewLocale("BasicThreatBar", "frFR")
if L then
-- L["Adds a thick black outline to the font"] = "Adds a thick black outline to the font"
-- L["Adds outline to the font"] = "Adds outline to the font"
L["Bar"] = "Bar" -- Needs review
-- L["Bar Height"] = "Bar Height"
-- L["Bar Width"] = "Bar Width"
L["Border"] = "Frontière" -- Needs review
L["Border Color"] = "Couleur de la bordure" -- Needs review
-- L["Borders"] = "Borders"
L["Bottom"] = "Bas" -- Needs review
-- L["Bottom Left"] = "Bottom Left"
-- L["Bottom Right"] = "Bottom Right"
L["Center"] = "Centre" -- Needs review
-- L["Changes the color of the border"] = "Changes the color of the border"
-- L["Changes the color of the threat text"] = "Changes the color of the threat text"
-- L["Change the alignment of the name text"] = "Change the alignment of the name text"
-- L["Change the alignment of the threat text"] = "Change the alignment of the threat text"
-- L["Change the bar's border"] = "Change the bar's border"
-- L["Change the bar texture"] = "Change the bar texture"
-- L["Change the font"] = "Change the font"
L["Color"] = "Couleur" -- Needs review
-- L["Display sample text and value on the threat bar."] = "Display sample text and value on the threat bar."
L["Fonts"] = "Polices" -- Needs review
L["Font size"] = "Taille de la police" -- Needs review
-- L["Hide/Lock bar"] = "Hide/Lock bar"
-- L["Hide the bar when not in combat and lock it in place"] = "Hide the bar when not in combat and lock it in place"
-- L["Left Inside"] = "Left Inside"
L["Monochrome"] = "Monochrome" -- Needs review
-- L["Name position"] = "Name position"
L["Outline"] = "Contour" -- Needs review
-- L["Right Inside"] = "Right Inside"
L["Sample"] = "échantillon" -- Needs review
-- L["Sets the font to monochrome"] = "Sets the font to monochrome"
L["Test"] = "Test" -- Needs review
L["Text"] = "Texte" -- Needs review
L["Textures"] = "Textures" -- Needs review
L["Thick Outline"] = "Contour épais" -- Needs review
-- L["Threat position"] = "Threat position"
L["Top"] = "Haut" -- Needs review
-- L["Top Left"] = "Top Left"
-- L["Top Right"] = "Top Right"

return
end

local L = AL3:NewLocale("BasicThreatBar", "koKR")
if L then
-- L["Adds a thick black outline to the font"] = "Adds a thick black outline to the font"
-- L["Adds outline to the font"] = "Adds outline to the font"
-- L["Bar"] = "Bar"
-- L["Bar Height"] = "Bar Height"
-- L["Bar Width"] = "Bar Width"
-- L["Border"] = "Border"
-- L["Border Color"] = "Border Color"
-- L["Borders"] = "Borders"
-- L["Bottom"] = "Bottom"
-- L["Bottom Left"] = "Bottom Left"
-- L["Bottom Right"] = "Bottom Right"
-- L["Center"] = "Center"
-- L["Changes the color of the border"] = "Changes the color of the border"
-- L["Changes the color of the threat text"] = "Changes the color of the threat text"
-- L["Change the alignment of the name text"] = "Change the alignment of the name text"
-- L["Change the alignment of the threat text"] = "Change the alignment of the threat text"
-- L["Change the bar's border"] = "Change the bar's border"
-- L["Change the bar texture"] = "Change the bar texture"
-- L["Change the font"] = "Change the font"
-- L["Color"] = "Color"
-- L["Display sample text and value on the threat bar."] = "Display sample text and value on the threat bar."
-- L["Fonts"] = "Fonts"
-- L["Font size"] = "Font size"
-- L["Hide/Lock bar"] = "Hide/Lock bar"
-- L["Hide the bar when not in combat and lock it in place"] = "Hide the bar when not in combat and lock it in place"
-- L["Left Inside"] = "Left Inside"
-- L["Monochrome"] = "Monochrome"
-- L["Name position"] = "Name position"
-- L["Outline"] = "Outline"
-- L["Right Inside"] = "Right Inside"
-- L["Sample"] = "Sample"
-- L["Sets the font to monochrome"] = "Sets the font to monochrome"
-- L["Test"] = "Test"
-- L["Text"] = "Text"
-- L["Textures"] = "Textures"
-- L["Thick Outline"] = "Thick Outline"
-- L["Threat position"] = "Threat position"
-- L["Top"] = "Top"
-- L["Top Left"] = "Top Left"
-- L["Top Right"] = "Top Right"

return
end

local L = AL3:NewLocale("BasicThreatBar", "ruRU")
if L then
-- L["Adds a thick black outline to the font"] = "Adds a thick black outline to the font"
-- L["Adds outline to the font"] = "Adds outline to the font"
-- L["Bar"] = "Bar"
-- L["Bar Height"] = "Bar Height"
-- L["Bar Width"] = "Bar Width"
-- L["Border"] = "Border"
-- L["Border Color"] = "Border Color"
-- L["Borders"] = "Borders"
-- L["Bottom"] = "Bottom"
-- L["Bottom Left"] = "Bottom Left"
-- L["Bottom Right"] = "Bottom Right"
-- L["Center"] = "Center"
-- L["Changes the color of the border"] = "Changes the color of the border"
-- L["Changes the color of the threat text"] = "Changes the color of the threat text"
-- L["Change the alignment of the name text"] = "Change the alignment of the name text"
-- L["Change the alignment of the threat text"] = "Change the alignment of the threat text"
-- L["Change the bar's border"] = "Change the bar's border"
-- L["Change the bar texture"] = "Change the bar texture"
-- L["Change the font"] = "Change the font"
-- L["Color"] = "Color"
-- L["Display sample text and value on the threat bar."] = "Display sample text and value on the threat bar."
-- L["Fonts"] = "Fonts"
-- L["Font size"] = "Font size"
-- L["Hide/Lock bar"] = "Hide/Lock bar"
-- L["Hide the bar when not in combat and lock it in place"] = "Hide the bar when not in combat and lock it in place"
-- L["Left Inside"] = "Left Inside"
-- L["Monochrome"] = "Monochrome"
-- L["Name position"] = "Name position"
-- L["Outline"] = "Outline"
-- L["Right Inside"] = "Right Inside"
-- L["Sample"] = "Sample"
-- L["Sets the font to monochrome"] = "Sets the font to monochrome"
-- L["Test"] = "Test"
-- L["Text"] = "Text"
-- L["Textures"] = "Textures"
-- L["Thick Outline"] = "Thick Outline"
-- L["Threat position"] = "Threat position"
-- L["Top"] = "Top"
-- L["Top Left"] = "Top Left"
-- L["Top Right"] = "Top Right"

return
end

local L = AL3:NewLocale("BasicThreatBar", "zhCN")
if L then
-- L["Adds a thick black outline to the font"] = "Adds a thick black outline to the font"
-- L["Adds outline to the font"] = "Adds outline to the font"
-- L["Bar"] = "Bar"
-- L["Bar Height"] = "Bar Height"
-- L["Bar Width"] = "Bar Width"
-- L["Border"] = "Border"
-- L["Border Color"] = "Border Color"
-- L["Borders"] = "Borders"
-- L["Bottom"] = "Bottom"
-- L["Bottom Left"] = "Bottom Left"
-- L["Bottom Right"] = "Bottom Right"
-- L["Center"] = "Center"
-- L["Changes the color of the border"] = "Changes the color of the border"
-- L["Changes the color of the threat text"] = "Changes the color of the threat text"
-- L["Change the alignment of the name text"] = "Change the alignment of the name text"
-- L["Change the alignment of the threat text"] = "Change the alignment of the threat text"
-- L["Change the bar's border"] = "Change the bar's border"
-- L["Change the bar texture"] = "Change the bar texture"
-- L["Change the font"] = "Change the font"
-- L["Color"] = "Color"
-- L["Display sample text and value on the threat bar."] = "Display sample text and value on the threat bar."
-- L["Fonts"] = "Fonts"
-- L["Font size"] = "Font size"
-- L["Hide/Lock bar"] = "Hide/Lock bar"
-- L["Hide the bar when not in combat and lock it in place"] = "Hide the bar when not in combat and lock it in place"
-- L["Left Inside"] = "Left Inside"
-- L["Monochrome"] = "Monochrome"
-- L["Name position"] = "Name position"
-- L["Outline"] = "Outline"
-- L["Right Inside"] = "Right Inside"
-- L["Sample"] = "Sample"
-- L["Sets the font to monochrome"] = "Sets the font to monochrome"
-- L["Test"] = "Test"
-- L["Text"] = "Text"
-- L["Textures"] = "Textures"
-- L["Thick Outline"] = "Thick Outline"
-- L["Threat position"] = "Threat position"
-- L["Top"] = "Top"
-- L["Top Left"] = "Top Left"
-- L["Top Right"] = "Top Right"

return
end

local L = AL3:NewLocale("BasicThreatBar", "zhTW")
if L then
-- L["Adds a thick black outline to the font"] = "Adds a thick black outline to the font"
-- L["Adds outline to the font"] = "Adds outline to the font"
-- L["Bar"] = "Bar"
-- L["Bar Height"] = "Bar Height"
-- L["Bar Width"] = "Bar Width"
-- L["Border"] = "Border"
-- L["Border Color"] = "Border Color"
-- L["Borders"] = "Borders"
-- L["Bottom"] = "Bottom"
-- L["Bottom Left"] = "Bottom Left"
-- L["Bottom Right"] = "Bottom Right"
-- L["Center"] = "Center"
-- L["Changes the color of the border"] = "Changes the color of the border"
-- L["Changes the color of the threat text"] = "Changes the color of the threat text"
-- L["Change the alignment of the name text"] = "Change the alignment of the name text"
-- L["Change the alignment of the threat text"] = "Change the alignment of the threat text"
-- L["Change the bar's border"] = "Change the bar's border"
-- L["Change the bar texture"] = "Change the bar texture"
-- L["Change the font"] = "Change the font"
-- L["Color"] = "Color"
-- L["Display sample text and value on the threat bar."] = "Display sample text and value on the threat bar."
-- L["Fonts"] = "Fonts"
-- L["Font size"] = "Font size"
-- L["Hide/Lock bar"] = "Hide/Lock bar"
-- L["Hide the bar when not in combat and lock it in place"] = "Hide the bar when not in combat and lock it in place"
-- L["Left Inside"] = "Left Inside"
-- L["Monochrome"] = "Monochrome"
-- L["Name position"] = "Name position"
-- L["Outline"] = "Outline"
-- L["Right Inside"] = "Right Inside"
-- L["Sample"] = "Sample"
-- L["Sets the font to monochrome"] = "Sets the font to monochrome"
-- L["Test"] = "Test"
-- L["Text"] = "Text"
-- L["Textures"] = "Textures"
-- L["Thick Outline"] = "Thick Outline"
-- L["Threat position"] = "Threat position"
-- L["Top"] = "Top"
-- L["Top Left"] = "Top Left"
-- L["Top Right"] = "Top Right"

return
end

local L = AL3:NewLocale("BasicThreatBar", "ptBR")
if L then
-- L["Adds a thick black outline to the font"] = "Adds a thick black outline to the font"
-- L["Adds outline to the font"] = "Adds outline to the font"
-- L["Bar"] = "Bar"
-- L["Bar Height"] = "Bar Height"
-- L["Bar Width"] = "Bar Width"
-- L["Border"] = "Border"
-- L["Border Color"] = "Border Color"
-- L["Borders"] = "Borders"
-- L["Bottom"] = "Bottom"
-- L["Bottom Left"] = "Bottom Left"
-- L["Bottom Right"] = "Bottom Right"
-- L["Center"] = "Center"
-- L["Changes the color of the border"] = "Changes the color of the border"
-- L["Changes the color of the threat text"] = "Changes the color of the threat text"
-- L["Change the alignment of the name text"] = "Change the alignment of the name text"
-- L["Change the alignment of the threat text"] = "Change the alignment of the threat text"
-- L["Change the bar's border"] = "Change the bar's border"
-- L["Change the bar texture"] = "Change the bar texture"
-- L["Change the font"] = "Change the font"
-- L["Color"] = "Color"
-- L["Display sample text and value on the threat bar."] = "Display sample text and value on the threat bar."
-- L["Fonts"] = "Fonts"
-- L["Font size"] = "Font size"
-- L["Hide/Lock bar"] = "Hide/Lock bar"
-- L["Hide the bar when not in combat and lock it in place"] = "Hide the bar when not in combat and lock it in place"
-- L["Left Inside"] = "Left Inside"
-- L["Monochrome"] = "Monochrome"
-- L["Name position"] = "Name position"
-- L["Outline"] = "Outline"
-- L["Right Inside"] = "Right Inside"
-- L["Sample"] = "Sample"
-- L["Sets the font to monochrome"] = "Sets the font to monochrome"
-- L["Test"] = "Test"
-- L["Text"] = "Text"
-- L["Textures"] = "Textures"
-- L["Thick Outline"] = "Thick Outline"
-- L["Threat position"] = "Threat position"
-- L["Top"] = "Top"
-- L["Top Left"] = "Top Left"
-- L["Top Right"] = "Top Right"

return
end